export { LoggingFiles } from "./filewriter";
import { LoggingBase as LoggingBaseOriginal, LoggingBaseOptions } from "@hibas123/logging";
export interface LoggingOptions extends LoggingBaseOptions {
    files: boolean | {
        /**
         * Filename/path of the logfile. Skip if generated with name
         */
        logfile: string;
        /**
         * Filename/path of the logfile. Skip if generated with name
         */
        errorfile: string;
    };
}
export declare class LoggingBase extends LoggingBaseOriginal {
    constructor(config?: Partial<LoggingOptions> | string);
}
export declare let Logging: LoggingBase;
export default Logging;
